summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSamuel Holland <samuel@sholland.org>2019-05-19 18:29:59 -0500
committerMichał Górny <mgorny@gentoo.org>2019-06-22 09:32:22 +0200
commite3df866156f86234520de6086c7dfedf0e72ed23 (patch)
tree1bea9405431bd8565ed11cc01e2b63686f59af7b /net-dns
parentsys-apps/s6-rc: Version bump to 0.5.0.0 (diff)
downloadgentoo-e3df866156f86234520de6086c7dfedf0e72ed23.tar.gz
gentoo-e3df866156f86234520de6086c7dfedf0e72ed23.tar.bz2
gentoo-e3df866156f86234520de6086c7dfedf0e72ed23.zip
net-dns/s6-dns: Version bump to 2.3.0.2
Signed-off-by: Samuel Holland <samuel@sholland.org> Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'net-dns')
-rw-r--r--net-dns/s6-dns/Manifest1
-rw-r--r--net-dns/s6-dns/s6-dns-2.3.0.2.ebuild42
2 files changed, 43 insertions, 0 deletions
diff --git a/net-dns/s6-dns/Manifest b/net-dns/s6-dns/Manifest
index e0ec7281574..a5ff49b20d2 100644
--- a/net-dns/s6-dns/Manifest
+++ b/net-dns/s6-dns/Manifest
@@ -1,3 +1,4 @@
DIST s6-dns-2.2.0.1.tar.gz 76046 BLAKE2B c7c7e94fa47fc20e2a328f2fc22650585e9bd0260f4676c5ef6078097a62c43d75b18977e31187008b9fb90bebefc9ffb8d999395b012d85bdef9a4220aa7a6d SHA512 9b62ddec94be86d186520f0240dafda95861c54345f92a1fac3251f8560e70932bc5915cca4136d428ed02d0718e8082ad382bffd0c707ae867f1896d93ecaed
DIST s6-dns-2.3.0.0.tar.gz 76476 BLAKE2B 6896bf534d872aac19dd6b2ad819d7aee6d52737f33106640ad1c3afc7f8857e5672f3e35f7f2064cb8085a79adc33bdd33a99dc656a656040a93f813a986717 SHA512 9afa98d0a7a9d84311f6f93d5c1742f7dcfb84c76ca363f9e09b3b40cd3faa1721aebb6e974a98991c037d82b2540c1edbc3cc13ea5f7e3dd95a96d14918e454
DIST s6-dns-2.3.0.1.tar.gz 77836 BLAKE2B 55f83152eea3e3c8f2d774d6330aadcb73ec9b7d1ca4b87d1093fb9ab216ac1ad130bc9437ff30311451b06f820720fec902ac40e9e8d63f9d605cbf13448edf SHA512 69ae32f9b4ff22a5d38e3a2c950357d8c8032a649c1d81e4a4e5f474ae5c1bb1072555baa1a34f955293aa0f66a93f51f2cc8efd8aa56704b906e0b0979f8157
+DIST s6-dns-2.3.0.2.tar.gz 77885 BLAKE2B 354a44d47f4fbc964c41999a442f730a738be361bc9633502c3c54f38d25060c58ef2ecfea764f1f5d3243a2e24f92e8b54abfaf61f76f7d155f93a53de2d1db SHA512 fec0edf852423bf8f717fcdc3c00c8f38e7bab4d9a03d14e6e81ad3f175b5db57be44409761bbd990f56f81c3ae8e0aa76ab8c5b65fec823a0ce392bf41cdf33
diff --git a/net-dns/s6-dns/s6-dns-2.3.0.2.ebuild b/net-dns/s6-dns/s6-dns-2.3.0.2.ebuild
new file mode 100644
index 00000000000..b65a0a030c3
--- /dev/null
+++ b/net-dns/s6-dns/s6-dns-2.3.0.2.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Suite of DNS client programs and libraries for Unix systems"
+HOMEPAGE="https://www.skarnet.org/software/s6-dns/"
+SRC_URI="https://www.skarnet.org/software/${PN}/${P}.tar.gz"
+
+LICENSE="ISC"
+SLOT="0/$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~x86"
+IUSE="static static-libs"
+
+REQUIRED_USE="static? ( static-libs )"
+
+RDEPEND=">=dev-libs/skalibs-2.8.0.0:=[static-libs?]"
+DEPEND="${RDEPEND}"
+
+HTML_DOCS=( doc/. )
+
+src_prepare() {
+ default
+
+ # Avoid QA warning for LDFLAGS addition; avoid overriding -fstack-protector
+ sed -i -e 's/.*-Wl,--hash-style=both$/:/' -e '/-fno-stack-protector$/d' \
+ configure || die
+}
+
+src_configure() {
+ econf \
+ --bindir=/bin \
+ --dynlibdir=/usr/$(get_libdir) \
+ --libdir=/usr/$(get_libdir)/${PN} \
+ --with-dynlib=/usr/$(get_libdir) \
+ --with-lib=/usr/$(get_libdir)/skalibs \
+ --with-sysdeps=/usr/$(get_libdir)/skalibs \
+ --enable-shared \
+ $(use_enable static allstatic) \
+ $(use_enable static static-libc) \
+ $(use_enable static-libs static)
+}